<template>
  <el-select
    v-model="selected"
    class="size-select"
    placeholder="请选择"
    @change="select"
    :style="styles"
    clearable
  >
    <el-option
      v-for="item in optionList"
      :key="item.code"
      :label="item.name"
      :value="item.code"
    >
      <span>{{ item.name }}</span>
    </el-option>
  </el-select>
</template>

<script>
import { IMPORT_EXPORT_TASKS } from "@/constant/constants";
export default {
  name: "TaskSelect",
  props: {
    value: {
      type: String,
      default: "",
    },
    options: { type: Array, default: () => null },
    styles: { type: String },
  },
  data() {
    return {
      optionList: this.options || IMPORT_EXPORT_TASKS,
      selected: "",
    };
  },
  async created() {},
  watch: {
    value: {
      immediate: true,
      handler(val) {
        this.selected = val;
      },
    },
  },
  methods: {
    select() {
      this.$emit("input", this.selected);
      this.$emit("change", this.selected);
    },
  },
};
</script>

<style></style>
